{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Feedback Format
{% endblock %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Feedback Format Setup
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">

            </div>

            <div id="wizard" class="form_wizard wizard_horizontal">
                <ul class="wizard_steps anchor">
                    <li>
                        <a id="h1" class="selected" isdone="1" rel="1">
                            <span class="step_no">1</span>
                            <span class="step_descr">
                                              Step 1<br>
                                          </span>
                        </a>
                    </li>
                    <li>
                        <a id="h2" class="done" isdone="1" rel="2">
                            <span class="step_no">2</span>
                            <span class="step_descr">
                                              Step 2<br>

                                          </span>
                        </a>
                    </li>
                    <li>
                        <a id="h3" class="done" isdone="1" rel="3">
                            <span class="step_no">3</span>
                            <span class="step_descr">
                                              Step 3<br>
                                          </span>
                        </a>
                    </li>
                </ul>


                <div class="" style="height: 288px;">
                    <div id="step-1" class="content" style="display: block;">
                        <h2 class="StepTitle"></h2>
                        <br><br>
                        <div class="row">
                            <form id="setFormatForm">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="form-horizontal form-label-left">
                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                Total Questions
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <input id="noOfQuestions" class="form-control"
                                                       placeholder="No. of Questions in all categories"
                                                       type="number" min="1" max="50" required>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                Categories
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <input id="noOfCategories" class="form-control"
                                                       placeholder="No. of Categories"
                                                       type="number" min="1" max="20" required>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                Grade Levels
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <input id="noOfGrades" class="form-control"
                                                       placeholder="No. of grade levels to assess faculties"
                                                       type="number" min="2" max="10" required>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                Name
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <input id="formatName" class="form-control" type="text"
                                                       placeholder="(Optional) Give any name to refer the format"
                                                       maxlength="200">
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <button id="setFormat" type="submit" class="btn1 btn-dark-green">
                                                    Set Format
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div id="step-2" class="content" style="display: none;">
                        <br>
                        <h2 class="StepTitle" align="center">Enter the no. of Options for each Question</h2>
                        <br><br>
                        <div class="row">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="form-horizontal form-label-left">
                                    <form id="setCategoryForm">
                                        <div id="setCategoryDiv">

                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="step-3" class="content" style="display: none;">
                        <h2 class="StepTitle"></h2>
                        <br><br>
                        <div class="row">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="form-horizontal form-label-left">
                                    <form id="setGradesForm" method="POST">
                                        <div id="setGradesDiv">

                                        </div>
                                        <div class="modal fade" id="conformModal" tabindex="-1"
                                             role="dialog"
                                             aria-labelledby="conformmodal" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                        <h4 class="modal-title">Confirm Submission</h4>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-8 col-md-offset-2">
                                                            <h3>
                                                                Are you sure to set the format?
                                                            </h3>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn1 btn1-secondary"
                                                                data-dismiss="modal">Close
                                                        </button>
                                                        <button id="submit" type="button" class="btn1 btn-indigo"
                                                                data-dismiss="modal">Set Format
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function isSpaceKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 32)
                return false;
            return true;
        }

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $(document).on("submit", '#setFormatForm', function (e) {
            e.preventDefault();
            var noOfQuestions = $('#noOfQuestions').val();
            var noOfCategories = $('#noOfCategories').val();

            if ((parseInt(noOfQuestions) / parseInt(noOfCategories)) < 1) {
                alert("Questions > Categories required!");
                return;
            }

            $('#step-1').hide();
            $('#step-2').show();
            $('#h2').addClass('selected').removeClass('done');
            $('#h1').addClass('done').removeClass('selected');

            counter = 1;
            for (; counter <= parseInt(noOfCategories); counter++) {
                document.getElementById('setCategoryDiv').innerHTML += '' +
                    '<div class="form-group">' +
                    '<label class="control-label col-md-2 col-sm-2 col-xs-12">Category ' + counter + ' Title</label>' +
                    '<div class="col-md-4 col-sm-3 col-xs-12">' +
                    '<input class="form-control" type="text" placeholder="Enter Category Name" id="category-' + counter + '" required>' +
                    '</div>' +
                    '<div class="col-md-3 col-sm-3 col-xs-12">' +
                    '<input class="form-control" type="number" placeholder="Enter no. of questions under this category" min="1" id="categoryQuestions-' + counter + '" required>' +
                    '</div>' +
                    '</div>';
            }

            document.getElementById('setCategoryDiv').innerHTML += '' +
                '<div class="form-group">' +
                '<label class="control-label col-md-3 col-sm-3 col-xs-12">' +
                '</label>' +
                '<div class="col-md-6 col-sm-6 col-xs-12">' +
                '<button id="setCategories" type="submit" class="btn1 btn-pink">Set Categories</button>' +
                '</div>' +
                '</div>';
        });

        $(document).on("submit", '#setCategoryForm', function (e) {
            e.preventDefault();
            var noOfCategories = $('#noOfCategories').val();
            var noOfQuestions = $('#noOfQuestions').val();
            var noOfGrades = $('#noOfGrades').val();

            var totalQuestions = 0;
            counter = 1;
            for (; counter <= parseInt(noOfCategories); counter++) {
                totalQuestions = parseInt(totalQuestions) + parseInt($('#categoryQuestions-' + counter).val());
            }

            if (parseInt(totalQuestions) != parseInt(noOfQuestions)) {
                alert("Only " + totalQuestions + " questions!\nTotal questions = " + noOfQuestions + " required!");
                return;
            }

            $('#step-2').hide();
            $('#step-3').show();
            $('#h3').addClass('selected').removeClass('done');
            $('#h2').addClass('done').removeClass('selected');

            counter = 1;
            for (; counter <= parseInt(noOfGrades); counter++) {
                if (counter == 1) {
                    document.getElementById('setGradesDiv').innerHTML += '' +
                        '<div class="form-group">' +
                        '<label class="control-label col-md-2 col-sm-3 col-xs-12">Grade Level ' + counter + '</label>' +
                        '<div class="col-md-4 col-sm-3 col-xs-12">' +
                        '<input class="form-control" type="text" placeholder="Enter Highest Grade Level" maxlength="30" id="gradeName-' + counter + '" required>' +
                        '</div>' +
                        '<div class="col-md-3 col-sm-3 col-xs-12">' +
                        '<input class="form-control" type="text" placeholder="Abbreviation" minlength="1" maxlength="2" id="gradeShort-' + counter + '" onkeypress="return isSpaceKey(event)" required>' +
                        '</div>' +
                        '</div>';
                }
                else if (counter == parseInt(noOfGrades)) {
                    document.getElementById('setGradesDiv').innerHTML += '' +
                        '<div class="form-group">' +
                        '<label class="control-label col-md-2 col-sm-3 col-xs-12">Grade Level ' + counter + '</label>' +
                        '<div class="col-md-4 col-sm-3 col-xs-12">' +
                        '<input class="form-control" type="text" placeholder="Enter Lowest Grade Level" maxlength="30" id="gradeName-' + counter + '" required>' +
                        '</div>' +
                        '<div class="col-md-3 col-sm-3 col-xs-12">' +
                        '<input class="form-control" type="text" placeholder="Abbreviation" minlength="1" maxlength="2" id="gradeShort-' + counter + '" onkeypress="return isSpaceKey(event)" required>' +
                        '</div>' +
                        '</div>';
                }
                else {
                    document.getElementById('setGradesDiv').innerHTML += '' +
                        '<div class="form-group">' +
                        '<label class="control-label col-md-2 col-sm-3 col-xs-12">Grade Level ' + counter + '</label>' +
                        '<div class="col-md-4 col-sm-3 col-xs-12">' +
                        '<input class="form-control" type="text" placeholder="Enter intermediate Grade Level" maxlength="30" id="gradeName-' + counter + '" required>' +
                        '</div>' +
                        '<div class="col-md-3 col-sm-3 col-xs-12">' +
                        '<input class="form-control" type="text" placeholder="Abbreviation" minlength="1" maxlength="2" id="gradeShort-' + counter + '" onkeypress="return isSpaceKey(event)" required>' +
                        '</div>' +
                        '</div>';
                }
            }

            document.getElementById('setGradesDiv').innerHTML += '' +
                '<div class="form-group">' +
                '<label class="control-label col-md-3 col-sm-3 col-xs-12">' +
                '</label>' +
                '<div class="col-md-6 col-sm-6 col-xs-12">' +
                '<button id="setGrades" type="submit" class="btn1 btn-pink">Set Grades</button>' +
                '</div>' +
                '</div>';
        });

        $(document).on("submit", '#setGradesForm', function (e) {
            e.preventDefault();
            $('#conformModal').modal();
        });

        $(document).on("click", '#submit', function (e) {
            var noOfCategories = $('#noOfCategories').val();
            var noOfGrades = $('#noOfGrades').val();

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: getCookie('csrftoken'),
                name: 'csrfmiddlewaretoken'
            });
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#noOfQuestions').val(),
                name: 'noOfQuestions'
            });
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#noOfCategories').val(),
                name: 'noOfCategories'
            });
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#noOfGrades').val(),
                name: 'noOfGrades'
            });
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#formatName').val(),
                name: 'formatName'
            });
            $hiddenInput.appendTo('form');


            counter = 1;
            for (; counter <= parseInt(noOfCategories); counter++) {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('#category-' + counter).val(),
                    name: 'category-' + counter
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('#categoryQuestions-' + counter).val(),
                    name: 'categoryQuestions-' + counter
                });
                $hiddenInput.appendTo('form');
            }

            counter = 1;
            for (; counter <= parseInt(noOfGrades); counter++) {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('#gradeName-' + counter).val(),
                    name: 'gradeName-' + counter
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('#gradeShort-' + counter).val(),
                    name: 'gradeShort-' + counter
                });
                $hiddenInput.appendTo('form');
            }

            $('#dummy_form').submit();
        });

    </script>

{% endblock %}